Skip to main content
PATCH
Update Dataset Content

Authorizations

Galileo-API-Key
string
header
required

Headers

If-Match
string | null

ETag of the dataset as a version identifier.

Path Parameters

dataset_id
string<uuid4>
required

Body

application/json

This structure represent the valid edits operations that can be performed on a dataset. There edit operations are:

  • Row edits: These edits are performed on a specific row of the dataset.
    • EditMode.id: The edit is performed on the index (numeric index). DEPRECATED
    • EditMode.row_id: The edit is performed on the row_id of the row.
  • Global edits: These edits are performed on the entire dataset and should not be mixed with row edits.
    • EditMode.global_edit
edits
(DatasetPrependRow · object | DatasetAppendRow · object | DatasetUpdateRow · object | DatasetDeleteRow · object | DatasetFilterRows · object | DatasetCopyRecordData · object | DatasetRemoveColumn · object | DatasetRenameColumn · object)[]
required
Minimum array length: 1

Response

Dataset content updated successfully